net.sf.jasperreports.engine.base

## Class JRBaseSubreportReturnValue

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseSubreportReturnValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCloneable, JRSubreportReturnValue
  Direct Known Subclasses:
    JRDesignSubreportReturnValue

      public class JRBaseSubreportReturnValue
      extends java.lang.Object
      implements JRSubreportReturnValue, java.io.Serializable

  Base implementation of `JRSubreportReturnValue`.
  Version:
    $Id: JRBaseSubreportReturnValue.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CalculationEnum` | `calculationValue` The calculation type.
    `protected java.lang.String` | `incrementerFactoryClassName` The incrementer factory class name.
    `protected java.lang.String` | `subreportVariable` The name of the subreport variable to be copied.
    `protected java.lang.String` | `toVariable` The name of the master variable where the value should be copied.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseSubreportReturnValue()`
    `protected` | `JRBaseSubreportReturnValue(JRSubreportReturnValue returnValue, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `CalculationEnum` | `getCalculationValue()` Returns the calculation type.
    `java.lang.String` | `getIncrementerFactoryClassName()` Returns the incrementer factory class name.
    `java.lang.String` | `getSubreportVariable()` Returns the name of the subreport variable whose value should be copied.
    `java.lang.String` | `getToVariable()` Returns the name of the master report variable where the value should be copied.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### subreportVariable

          protected java.lang.String subreportVariable

      The name of the subreport variable to be copied.

    - #### toVariable

          protected java.lang.String toVariable

      The name of the master variable where the value should be copied.

    - #### calculationValue

          protected CalculationEnum calculationValue

      The calculation type.

    - #### incrementerFactoryClassName

          protected java.lang.String incrementerFactoryClassName

      The incrementer factory class name.

  - ### Constructor Detail

    - #### JRBaseSubreportReturnValue

          protected JRBaseSubreportReturnValue()

    - #### JRBaseSubreportReturnValue

          protected JRBaseSubreportReturnValue(JRSubreportReturnValue returnValue,
                                    JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getSubreportVariable

          public java.lang.String getSubreportVariable()

      Returns the name of the subreport variable whose value should be copied.
      Specified by:
        `getSubreportVariable` in interface `JRSubreportReturnValue`
      Returns:
        the name of the subreport variable whose value should be copied.

    - #### getToVariable

          public java.lang.String getToVariable()

      Returns the name of the master report variable where the value should be copied.
      Specified by:
        `getToVariable` in interface `JRSubreportReturnValue`
      Returns:
        the name of the master report variable where the value should be copied.

    - #### getCalculationValue

          public CalculationEnum getCalculationValue()

      Returns the calculation type.

      When copying the value from the subreport, a formula can be applied such that sum, maximum, average and so on can be computed.

      Specified by:
        `getCalculationValue` in interface `JRSubreportReturnValue`
      Returns:
        the calculation type.

    - #### getIncrementerFactoryClassName

          public java.lang.String getIncrementerFactoryClassName()

      Returns the incrementer factory class name.

      The factory will be used to increment the value of the master report variable with the value from the subreport.

      Specified by:
        `getIncrementerFactoryClassName` in interface `JRSubreportReturnValue`
      Returns:
        the incrementer factory class name.

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com